// CreditCardAccount.h

#include "LoyaltyScheme.h"

class CreditCardAccount
{
	public:
		static int GetNumberOfAccounts();
		static int numberOfAccounts;
		CreditCardAccount(long number, double limit);
		~CreditCardAccount();
		bool MakePurchase(double amount);
		void MakeRepayment(double amount);
		void PrintStatement();
		void RedeemLoyaltyPoints();

	private:
		// Pointer to a LoyaltyScheme object
		LoyaltyScheme * ptrLoyaltyScheme;    
		long accountNumber;
		double currentBalance;
		double creditLimit;
};



